#pragma once

#include "xtr/ui/BuffRichEdit.h"

namespace xtr::dialog {

class ExtStartPage final : public CDialog {
  CMFCButton newDocBtn{};
  CMFCButton openDocBtn{};
  CMFCButton helpBtn{};
  CMFCButton examplesBtn{};

  CButton promtBtn{};
  ui::BuffRichEdit releaseLog{};
  HICON  xtrIcon{};

public:
  ~ExtStartPage() override;
  ExtStartPage() = default;
  ExtStartPage(const ExtStartPage&) = delete;
  ExtStartPage& operator=(const ExtStartPage&) = delete;

private:
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;
  void InitTitle();
  void LoadExteorIcon();
  void InitControls();
  [[nodiscard]] static CString LoadLog();

private:
DECLARE_MESSAGE_MAP()
  afx_msg void OnNewDoc();
  afx_msg void OnOpenDoc();
  afx_msg void OnOpenHelp();
  afx_msg void OnSamples();
  afx_msg void OnPromt();
  afx_msg void OnMemo();
};

} // namespace xtr::dialog